| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ > Class Template Reference

`#include <GaudiAlg/ScalarTransformer.h>`

Inheritance diagram for Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >:
[legend]

## Public Member Functions
Out | operator() (const In &...in) const override final
| The main operator. More...
Public Member Functions inherited from Gaudi::Functional::Transformer< Out(const In &...), Traits_ >
StatusCode | execute () override final
virtual Out | operator() (const In &...) const =0

## Private Member Functions
const ScalarOp & | scalarOp () const
| Access the scalar operator. More...

## Detailed Description

### template<typename ScalarOp, typename Out, typename... In, typename Traits_>
class Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >

Definition at line 16 of file ScalarTransformer.h.

## Member Function Documentation

template<typename ScalarOp , typename Out , typename... In, typename Traits_ >

Out Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >::operator() | ( | const In &... | in | ) | const
| inline final override

The main operator.

Definition at line 34 of file ScalarTransformer.h.

35 {
36 const auto inrange = details::zip::const_range( in... );
37 Out out;
38 out.reserve( inrange.size() );
39 auto& scalar = scalarOp();
40 for ( const auto&& i : inrange ) {
41 details::insert( out, getScalar( i, scalar, std::index_sequence_for<In...>{} ) );
42 }
43 details::applyPostProcessing( scalar, out ); // awaiting a post-processor call
44 return out;
45 }
Gaudi::Functional::details::insert
constexpr struct Gaudi::Functional::details::insert_t insert
Gaudi::Functional::details::applyPostProcessing
constexpr void applyPostProcessing(const Fun &, Container &, Args...)
Definition: FunctionalDetails.h:574
Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >::scalarOp
const ScalarOp & scalarOp() const
Access the scalar operator.
Definition: ScalarTransformer.h:20
Gaudi::Functional::details::zip::const_range
decltype(auto) const_range(Args &&...args)
Zips multiple containers together to form a single const range.
Definition: FunctionalDetails.h:94
template<typename ScalarOp , typename Out , typename... In, typename Traits_ >

const ScalarOp& Gaudi::Functional::ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >::scalarOp | ( |  | ) | const
| inline private

Access the scalar operator.

Definition at line 20 of file ScalarTransformer.h.

20 { return static_cast<const ScalarOp&>( *this ); }

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/ScalarTransformer.h